Click or drag to resize
CurvePullToMesh Method
Makes a polyline approximation of the curve and gets the closest point on the mesh for each point on the curve. Then it "connects the points" so that you have a polyline on the mesh.

Namespace: Rhino.Geometry
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public PolylineCurve PullToMesh(
	Mesh mesh,
	double tolerance
)

Parameters

mesh
Type: Rhino.GeometryMesh
Mesh to project onto.
tolerance
Type: SystemDouble
Input tolerance (RhinoDoc.ModelAbsoluteTolerance is a good default)

Return Value

Type: PolylineCurve
A polyline curve on success, null on failure.
See Also